Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.ui.model
Class ECPContentProvider<INPUT>

    java.lang.Object
      org.eclipse.emf.ecp.internal.ui.model.StructuredContentProvider<INPUT>
          org.eclipse.emf.ecp.internal.ui.model.TreeContentProvider<INPUT>
              org.eclipse.emf.ecp.internal.ui.model.ECPContentProvider<INPUT>

Type Parameters:
  `INPUT` - The type of input (root of the tree)

All Implemented Interfaces:
  ECPModelContextProvider, org.eclipse.emf.edit.provider.INotifyChangedListener, org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider

Direct Known Subclasses:
  ModelContentProvider, RepositoriesContentProvider

    public abstract class ECPContentProvider<INPUT>

extends TreeContentProvider<INPUT>
implements ECPModelContextProvider, org.eclipse.emf.edit.provider.INotifyChangedListener

Author:
  Eike Stepper

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecp.internal.ui.model.TreeContentProvider
`TreeContentProvider.ErrorElement, TreeContentProvider.SlowElement, TreeContentProvider.SyntheticElement`

Constructor Summary
`ECPContentProvider()` Default constructor.

Method Summary
`void` | `dispose()`
`ECPContainer` | `getModelContext(Object element)` Returns the first `ECPContainer` that can be found for the provided Object.
`void` | `notifyChanged(org.eclipse.emf.common.notify.Notification notification)`

Methods inherited from class org.eclipse.emf.ecp.internal.ui.model.TreeContentProvider
`getChildren, getElements, getParent, getViewer, hasChildren, refresh, refreshViewer, update`

Methods inherited from class org.eclipse.emf.ecp.internal.ui.model.StructuredContentProvider
`getInput, inputChanged, refreshViewer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IContentProvider
`inputChanged`

Constructor Detail

### ECPContentProvider

    public ECPContentProvider()

  Default constructor.

Method Detail

### dispose

    public void dispose()

  Description copied from class: `StructuredContentProvider`

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`
  Overrides:
    `dispose` in class `StructuredContentProvider<INPUT>`

### getModelContext

    public ECPContainer getModelContext(Object element)

  Returns the first `ECPContainer` that can be found for the provided Object.

  Specified by:
    `getModelContext` in interface `ECPModelContextProvider`
  Parameters:
    `element` - the element to search the `ECPContainer` for
  Returns:
    the `ECPContainer` of this element

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification notification)

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.edit.provider.INotifyChangedListener`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.